Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Search/Elasticsearch/Content/SortClauseVisitor/ContentName.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor;
8
9 use eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor;
10 use eZ\Publish\API\Repository\Values\Content\Query\SortClause;
11
15 class ContentName extends SortClauseVisitor
16 {
24 public function canVisit(SortClause $sortClause)
25 {
26 return $sortClause instanceof SortClause\ContentName;
27 }
28
36 public function visit(SortClause $sortClause)
37 {
38 return [
39 'name_s' => [
40 'order' => $this->getDirection($sortClause),
41 ],
42 ];
43 }
44 }
eZ\Publish\API\Repository\Values\Content\Query\SortClause\ContentName
Sets sort direction on Content name for a content query.
Definition: API/Repository/Values/Content/Query/SortClause/ContentName.php:16
eZ\Publish\API\Repository\Values\Content\Query\SortClause
This class is the base for SortClause classes, used to set sorting of content queries.
Definition: Content/Query/SortClause.php:16
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentName\canVisit
canVisit(SortClause $sortClause)
Check if visitor is applicable to current sort clause.
Definition: Core/Search/Elasticsearch/Content/SortClauseVisitor/ContentName.php:24
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\ContentName\visit
visit(SortClause $sortClause)
Map field value to a proper Elasticsearch representation.
Definition: Core/Search/Elasticsearch/Content/SortClauseVisitor/ContentName.php:36
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor
Visits the sort clause into a hash representation of Elasticsearch sort.
Definition: SortClauseVisitor.php:17
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor\getDirection
getDirection(SortClause $sortClause)
Get Elasticsearch sort direction for sort clause.
Definition: SortClauseVisitor.php:43
eZ\Publish\API\Repository\Values\Content\Query\SortClause
Definition: API/Repository/Values/Content/Query/SortClause/ContentId.php:7
eZ\Publish\Core\Search\Elasticsearch\Content\SortClauseVisitor
Definition: Search/Elasticsearch/Content/SortClauseVisitor/Aggregate.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.